# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/zool/cvsroot/gentoo-x86-local/sys-apps/libapm-linux/libapm-linux-1.0_beta5.ebuild,v 1.1.1.1 2005/11/14 06:04:30 zool Exp $

inherit eutils flag-o-matic

OP=${P/_/}
DESCRIPTION="Utility for Power Management of Libretto[20|30|50|...]."
HOMEPAGE="http://club.pep.ne.jp/~ishioka/Software/Linux/libapm.html"
SRC_URI="http://club.pep.ne.jp/~ishioka/Software/Linux/libapm/${OP}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86"
IUSE=""
DEPEND=""
RESTRICT="nomirror"

S=${WORKDIR}/${P}

src_unpack() {
	unpack ${OP}.tar.gz
	mv libapm ${P}
	cd ${S}
	epatch ${FILESDIR}/${P}-fix.diff
}

src_compile() {
	make CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
}

src_install() {
	dodir /usr/bin /usr/man
	make BINDIR=${D}/usr/bin install
	make MANDIR=${D}/usr/man install.man
	dodoc README-e.1st README-j.1st APM-EXBIOS-e.txt APM-EXBIOS-j.txt
}
