# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/zool/cvsroot/gentoo-x86-local/dev-util/installwatch/installwatch-0.6.3.ebuild,v 1.1.1.1 2005/11/14 06:04:30 zool Exp $

inherit eutils

DESCRIPTION="An utility for keeping track of the installation of a program."
HOMEPAGE="http://asic-linux.com.mx/~izto/checkinstall/installwatch.html"
SRC_URI="http://asic-linux.com.mx/~izto/checkinstall/files/source/${P}.tgz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86"
IUSE=""
DEPEND=""
#RDEPEND=""
RESTRICT="nomirror"

S=${WORKDIR}/${P}

src_unpack() {
	unpack ${A}
	cd ${S}
	sed -i 	-e '/^PREFIX=.*/iINSTALLDIR=/usr/local' \
		-e 's;^BINDIR=.*;BINDIR=$(INSTALLDIR)/bin;g' \
		-e 's;^LIBDIR=.*;LIBDIR=$(INSTALLDIR)/lib;g' Makefile
}

src_install() {
	dodir /usr/bin /usr/lib
	make PREFIX=/usr INSTALLDIR=${D}/usr install
}
