# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/zool/cvsroot/gentoo-x86-local/dev-util/instmon/instmon-2.0.ebuild,v 1.1.1.1 2005/11/14 06:04:30 zool Exp $

inherit eutils

DESCRIPTION="An utility that monitors the installation of a program."
HOMEPAGE="http://hal.csd.auth.gr/~vvas/instmon/"
SRC_URI="http://www.ibiblio.org/pub/Linux/system/admin/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86"
IUSE=""
DEPEND="dev-util/strace
	dev-util/installwatch"
RDEPEND="sys-apps/gawk"
RESTRICT="nomirror"

S=${WORKDIR}/${P}

src_unpack() {
	unpack ${A}
	cd ${S}
	sed -i	-e "s;^libdir=.*;libdir=\"${ROOT}usr/lib/instmon\";g" \
		-e "s;^logdir=.*;logdir=\"${ROOT}usr/share/instmon\";g" \
		instmon.sh
}

src_compile() {
	return 0
}

src_install() {
	make PREFIX=${D}/usr install
}
